
TYPO3.Fluid - Bug # 9090

Status: Resolved Priority: Must have
Author: Michael Feinbier Category: View
Created: 2010-07-30 Assigned To: Bastian Waidelich
Updated: 2010-10-20 Due date:
Has patch:
Affected Flow version:
Subject: Chaining of ->assign() does not work anymore
Description

Since the latest release of Fluid the chaining of the ->assign() method does not work anymore

$this->view
  ->assign('request', $request)
  ->assign('languages', $this->languageRepository->findActive());

Throws error Fatal error: Call to a member function assign() on a non-object

Related issues:
related to TYPO3.Flow - Task # 9136: Clean up View implementations Resolved 2010-08-04

Associated revisions
Revision d403729c - 2010-08-06 16:13 - Bastian Waidelich

[+BUGFIX] Fluid (View): AbstractTemplateView now correctly implements F3\FLOW3\MVC\View\ViewInterface and assign() and assignMultiple() will
return an instance of $this to allow chaining again like $this->view->assign()->assign()... This fixes #9090

History
#1 - 2010-07-30 12:29 - Bastian Waidelich
- Category changed from Core to View

The feature of chaining variable assignments was added with r2899
Since r4659 This feature was (unintentionally?) removed

Note: I think the assign functions should be moved back to FLOW3/Extbase AbstractView.
Or at least they should be defined in the global ViewInterface.

Note2: For v4 we should consider re-adding this for the Hotfix releases (1.1.x)

#2 - 2010-08-02 15:24 - Bastian Waidelich
- File 9090_FLOW3_v1.patch added
- File 9090_Fluid_v1.patch added
- File 9090_tx_extbase_v1.patch added
- File 9090_tx_fluid_v1.patch added
- Assigned To changed from Bastian Waidelich to Sebastian Kurfuerst
Attached patches fixes the issue by adapting the interface and concrete view implementations. Additionally they add some unit tests and cleanups.

@Sebastian: Could you please check & apply (a subset of) the attached extbase & fluid patches for the Hotfix release? Afterwards feel free to
re-assign this to me, so I can commit the rest to trunk.

#3 - 2010-08-04 19:33 - Bastian Waidelich
- Assigned To changed from Sebastian Kurfuerst to Bastian Waidelich

I'll take care of this (for trunks of FLOW3, Fluid, tx_extbase & tx_fluid)

#4 - 2010-08-04 20:00 - Bastian Waidelich
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r4931.

Files
9090_FLOW3_v1.patch 18.7 kB 2010-08-02 Bastian Waidelich
9090_Fluid_v1.patch 10 kB 2010-08-02 Bastian Waidelich
9090_tx_extbase_v1.patch 3.2 kB 2010-08-02 Bastian Waidelich
9090_tx_fluid_v1.patch 10 kB 2010-08-02 Bastian Waidelich
